package com.nd.hilauncherdev.export;

import com.nd.hilauncherdev.export.app.AppEntity;
import com.nd.hilauncherdev.export.app.WebappEntity;
import com.nd.hilauncherdev.export.theme.CurThemeEntity;
import com.nd.hilauncherdev.export.theme.KeyConfigEntity;
import com.nd.hilauncherdev.export.theme.ModuleEntity;
import com.nd.hilauncherdev.export.theme.ThemeEntity;
import com.nd.hilauncherdev.export.config.ConfigEntity;

interface IExportService{
	/**
	 * 获取Preference值
	 */
	int getIntPreference(String key, int defaultValue);
	float getFloatPreference(String key, float defaultValue);
	long getLongPreference(String key, long defaultValue);
	boolean getBooleanPreference(String key, boolean defaultValue);
	String getStringPreference(String key, String defaultValue);
	
	/**
	 * 获取匣子数据
	 */
	List<AppEntity> getApps(String auth);

	/**
	 * 获取webapp数据
	 */
	List<WebappEntity> getWebApps(String auth);
	
	/**
	 * 获取Config表数据
	 */
	List<ConfigEntity> getConfigs(String auth);
	
	/**
	 * 获取主题数据
	 */
	List<CurThemeEntity> getCurTheme(String auth);
	List<KeyConfigEntity> getKeyConfig(String auth);
	List<ModuleEntity> getModule(String auth);
	List<ThemeEntity> getTheme(String auth);
}