package com.nd.hilauncherdev.plugin.virtualapp;

interface IVirtualAppService {
    boolean isEnableQuickOpenApp(String packageName);//判断该app是否可被双开
    void installQuickApp(String packageName);//安装已安装到系统中的应用
    void installQuickAppFromPath(String packageName,String apkPath);//安装SD卡应用
    void updateQuickApp(String packageName);//更新已安装到系统中的应用
    void updateQuickAppFromPath(String packageName,String apkPath);//更新已安装SD卡应用
    boolean isInstallQuickApp(String packageName);//判断该app是在双开系统中已安装
    void uninstallQuickApp(String packageName);//卸载已安装应用
    void openQuickApp(String packageName);//开启双开应用
    void openQuickAppSpecifyIntent(String packageName,String intentUri);//用指定intent打开双开应用
    boolean openQuickAppSpecifyIntentSync(String packageName,String intentUri);//同步方式打开指定intent打开双开应用，需要在线程中调用
    void tryInstallAndOpenQuickApp(String packageName);//未安装则安装，已安装则打开
    void tryInstallAndOpenQuickAppFromPath(String packageName,String apkPath);//未安装则安装，已安装则打开
    int getInstalledAppVersionCode(String packageName);//获取已安装应用的VersionCode
    boolean isAlreadyOpened(String packageName);//是否已经打开过，支持快速打开
}
